Page MenuHomePhabricator

Inherited settings and access control for code repositories
Closed, ResolvedPublic

Description

In Gerrit, projects can have parent projects, and they inherit their settings and ACLs from their parent project. This allows us to define rules like "for branches named wmf/*, only the deployers group should have approval rights" only once and have them apply to hundreds of projects. In Phabricator, we'll need something that accomplishes this kind of deduplication, though the approach could be different (it need not be inheritance, necessarily).

See also T183: Per-branch access control in code repositories

Details

Reference
fl311

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:35 AM
flimport added a project: Gerrit-Migration.
flimport set Reference to fl311.
Qgil renamed this task from Figure out how to do templated/boilerplate/inherited settings and access control in Phabricator to Inherited settings and access control for code repositories.Oct 9 2014, 2:05 PM
Qgil updated the task description. (Show Details)
Qgil set Security to None.
Qgil lowered the priority of this task from Normal to Low.Nov 27 2014, 7:57 AM

Currently Gerrit-Migration is in the queue of Phabricator subprojects after Project-Management and Gitblit-Deprecate. If someone wants to work on this task, take it and assign the priority accordingly.

mmodell closed this task as Resolved.Oct 22 2015, 10:05 PM
mmodell claimed this task.
mmodell added a subscriber: mmodell.

phabricator commit hooks can be based on projects, so we can assign all the repos to a project and they will all follow the same commit hook rules (that is, any rule that checks for the requisite project would trigger for any repo linked to that project)

demon moved this task from To Triage to Done/Archive on the Gerrit-Migration board.Dec 1 2015, 6:46 PM